%define name lbreakout
%define version 001104
%define release 1mdk

Summary: Breakout-style arcade game
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://lgames.sourceforge.net/lbreakout/%{name}-%{version}.tar.bz2
Source4: %{name}.menu
Source5: %{name}16.xpm
Source6: %{name}32.xpm
Source7: %{name}48.xpm
Copyright: GPL
Group: Games/Arcade
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
LBreakout is a classical Breakout game and this means (if you like Breakout ;-)
it is a lot of fun to play!
If you never ever played such a game you can check out the manual for more
information, take a look at the screenshots and last but not least... play it!

%prep
%setup

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/games
%makeinstall sdir=$RPM_BUILD_ROOT%{_datadir}/games/%{name} hdir=$RPM_BUILD_ROOT%{_localstatedir}/games

install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README TODO
%attr(2755, root, games) %{_bindir}/*
%attr(755, games, games) %{_localstatedir}/games/*
%{_datadir}/games/%{name}
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_miconsdir}/*
%{_liconsdir}/*

%changelog
* Wed Dec 20 2000 Pixel <pixel@mandrakesoft.com> 001104-1mdk
- new version

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 001022-2mdk
- rebuild
- longtitle
- capitalize summary

* Sun Oct 22 2000 Pixel <pixel@mandrakesoft.com> 001022-1mdk
- new version

* Wed Oct 18 2000 Pixel <pixel@mandrakesoft.com> 001018-1mdk
- new version

* Mon Oct  2 2000 Pixel <pixel@mandrakesoft.com> 001002-1mdk
- new version

* Fri Sep 29 2000 Pixel <pixel@mandrakesoft.com> 000928-1mdk
- initial spec


# end of file
